Subject: [Secdispatch] Biscuit tokens

From: Fabien Imbault <[email-masked]>
Date: Thu, 10 Feb 2022 21:35:09 +0100

Hello,

Following previous discussions in the GNAP working group (for instance :
https://github.com/ietf-wg-gnap/gnap-resource-servers/issues/16), i'd like
to know if there would be interest to support a wider variety of tokens,
especially if they provide special properties (compared to JWT).

In particular, there's been some work with Geoffroy Couprie on
https://www.biscuitsec.org which comes with a preliminary specification
(which relies on Ed25519 signatures, datalog logic and protobuf
serialization - could those dependencies be an issue?) and various
implementations. It allows new use cases such as decentralized
authorization.

Best,
Fabien (co-editor of IETF GNAP)